We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

.NET Core 2.0 support by Aspose.Cells libraries

Our clients request support for Linux and since .NET Core 2.0 is in preview already, we’d like to know what the plans are to support it by Aspose.Cells libraries.

Hi,


Thanks for your posting and using Aspose.Cells.

This feature request is already logged in our database but we are afraid, we cannot share any ETA with you because this is not in our near plans although we are recording the number of requests for it and evaluating its feasibility. However, we have also linked your thread with this ticket. Once, there is some news for you, we will update you asap.

This feature request has already been logged as

  • CELLSNET-43816 - Support for Universal Windows Platform & .NET Core

My question in contrast with previous questions is specifically regarding netstandard 2.0 which gets most of missing APIs that Aspose depends on (e.g. IDataReader). Did anybody from the dev team run the analysis against the current codebase already? And while it’s not too late provide feedback to Microsoft to include additional API that are missing and are difficult to replace.

Hi,

Thanks for your clarification and using Aspose.Cells.

If I am not mistaken, you are seeking for .net 2.0 compiled Aspose.Cells.dll. We provide various dlls. One is for .net2.0, others are like for .net3.5 or net4.0 etc.

For example, the following two dlls are compiled in .NET 2.0 and .NET 4.0 frameworks.

Aspose.Cells for .NET v17.5.2 (.NET 2.0) compiled in .NET Framework 2.0.
Aspose.Cells for .NET v17.5.2 (.NET 4.0) compiled in .NET Framework 4.0.

The question was about NetStandard 2.0, not .Net Framework 2.0.

@sandcastle

Thanks for considering Aspose APIs.

Thanks for clarification.

Does it mean, Aspose.Cells Product Team should analyze and contact with Microsoft about any missing APIs and request Microsoft to include them in .NET Standard 2.0.

@sandcastle

Thanks for considering Aspose APIs.

We have logged this as new feature request in our database. We will look into it and support it if possible. Once, there is some news for you, we will let you know asap.

This issue has been logged as New Feature request as follows

  • CELLSNET-45813 - Support .NET Standard 2.0 for Aspose.Cells

Can you add to the ticket that there is Windows Compatibility pack which adds APIs like System.Drawing to .NET Core 2.0 for Windows, which might allow us to migrate to .NET Core but run on Windows in order for Aspose.Cell to work.

1 Like

@dzmitry.martynau

Thanks for your posting and using Aspose APIs.

Aspose.Cells now supports .NET Standard 2.0. You can get the most recent version from this link.

https://www.nuget.org/packages/Aspose.Cells/18.2.0

When you will download it, it will be available in the following directory.

Aspose.Cells.18.2.0\lib\netStandard

Let us know if it fits your needs.

@dzmitry.martynau

Please download .NetCore and .NetStandard versions from the following link and disregard the previous link because it will cause Eazfuscator license expired exception.